This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 15755 - ctrl-C does not work in runlevel s
ctrl-C does not work in runlevel s
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-08 15:08 EDT by Rene Uittenbogaard
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 09:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rene Uittenbogaard 2000-08-08 15:08:04 EDT
When the system is brought down to single-user mode, the only working
virtual console does not allow any command to be ended by control-C. The
following settings have been set:

speed 38400 baud; rows 25; columns 80; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon
-ixoff
-iuclc -ixany -imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0
ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke
Comment 1 Jeff Johnson 2001-01-06 14:37:06 EST
This appears to be a problem with shell startup after switching to single user
mode.

How are you getting to single user mode? What's needed is to set ^C in the
profile
used by the shell that's run when you end up in single user mode.
Comment 2 Rene Uittenbogaard 2001-01-08 07:22:50 EST
Adding the line "stty intr ^C" in /root/.bashrc does not help.
However, a long time ago the following customisation has been made to
/etc/inittab:

ss:S:once:/sbin/sulogin

removing / commenting out this line solves the problem.  However, as a security
measure, I don't want to remove it. Also, in /etc/rc.sysinit, sulogin is used,
which means ctrl-C cannot be used in an emergency shell. Is it possible to
consider this bugreport as a bug in sulogin?
Comment 3 Rene Uittenbogaard 2001-02-19 09:55:23 EST
The problem is still present in RH7.0 with the same customisation. Will you have
a look at this problem again please?
Comment 4 Bernhard Rosenkraenzer 2001-03-06 10:17:17 EST
I can't reproduce this with the current version (from rawhide).

Note You need to log in before you can comment on or make changes to this bug.